Create a new collection
POST
/collections
const url = 'https://antimony.example.com/api/collections';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"name":"example","publicDeploy":true,"publicWrite":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://antimony.example.com/api/collections \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "publicDeploy": true, "publicWrite": true }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”The collection
Media typeapplication/json
object
name
required
string
publicDeploy
required
boolean
publicWrite
required
boolean
Example generated
{ "name": "example", "publicDeploy": true, "publicWrite": true}Responses
Section titled “Responses”The ID of the newly created collection
Media typeapplication/json
object
payload
string
Example generated
{ "payload": "example"}The user isn’t authorized
Media typeapplication/json
Access to the resource was denied. Details in the request body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json